Package org.pushingpixels.substance.flamingo.ribbon.gallery.oob

# Class ColorSchemeResizableIcon

java.lang.Object
org.pushingpixels.substance.flamingo.ribbon.gallery.oob.ColorSchemeResizableIcon

All Implemented Interfaces:
  `Icon`, `org.pushingpixels.flamingo.api.common.icon.ResizableIcon`

public class ColorSchemeResizableIcon extends Object implements org.pushingpixels.flamingo.api.common.icon.ResizableIcon
Resizable icon for Substance themes.

## Constructor Summary

Constructors
Constructor
Description
`ColorSchemeResizableIcon(org.pushingpixels.substance.api.SubstanceColorScheme scheme, int startWidth, int startHeight)`
Creates a new icon.

## Method Summary

Modifier and Type
Method
Description
`int`
`getIconHeight()`
`int`
`getIconWidth()`
`void`
`paintIcon(Component c, Graphics g, int x, int y)`
`void`
`setDimension(Dimension newDimension)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColorSchemeResizableIcon

public ColorSchemeResizableIcon(org.pushingpixels.substance.api.SubstanceColorScheme scheme, int startWidth, int startHeight)
Creates a new icon.

Parameters:
  `scheme` - Associated color scheme (can be `null`).
  `startWidth` - Original width in pixels.
  `startHeight` - Original heigth in pixels.

## Method Details

### setDimension

public void setDimension(Dimension newDimension)

Specified by:
  `setDimension` in interface `org.pushingpixels.flamingo.api.common.icon.ResizableIcon`

### getIconHeight

public int getIconHeight()

Specified by:
  `getIconHeight` in interface `Icon`

### getIconWidth

public int getIconWidth()

Specified by:
  `getIconWidth` in interface `Icon`

### paintIcon

public void paintIcon(Component c, Graphics g, int x, int y)

Specified by:
  `paintIcon` in interface `Icon`